package com.datacloudsec.scan.cache;

import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.JsonUtil;
import java.io.File;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;

public class Region {

   private Map config;
   private List region;
   private static long lastMdfTime;
   private static File confFile = new File(Constant.WORK_DIR, "conf/region.json");
   private static Region instance;


   public static synchronized Region getInstance() throws Exception {
      if(instance == null) {
         instance = new Region();
      }

      if(confFile.lastModified() != lastMdfTime) {
         instance.config = (Map)JsonUtil.MAPPER_ESCAPE_HTML.readValue(confFile, Map.class);
         instance.region = new ArrayList();
         Map root = (Map)instance.config.get("86");
         Iterator var2 = root.entrySet().iterator();

         while(var2.hasNext()) {
            Entry e = (Entry)var2.next();
            String rootstr = "insert into t_region(id,parentId,name) values(" + (String)e.getKey() + ",0,\'" + e.getValue() + "\');";
            System.out.println(rootstr);
            instance.region.add(rootstr);
            Map city = (Map)instance.config.get(e.getKey());
            Iterator var6 = city.entrySet().iterator();

            while(var6.hasNext()) {
               Entry ce = (Entry)var6.next();
               if(!ce.getValue().equals("市辖区") && !ce.getValue().equals("县")) {
                  String cstr1 = "insert into t_region(id,parentId,name) values(" + (String)ce.getKey() + "," + (String)e.getKey() + ",\'" + ce.getValue() + "\');";
                  System.out.println(cstr1);
                  instance.region.add(cstr1);
               } else {
                  Map cstr = (Map)instance.config.get(ce.getKey());
                  Iterator var9 = cstr.entrySet().iterator();

                  while(var9.hasNext()) {
                     Entry te = (Entry)var9.next();
                     String thrstr = "insert into t_region(id,parentId,name) values(" + (String)te.getKey() + "," + (String)e.getKey() + ",\'" + te.getValue() + "\');";
                     System.out.println(thrstr);
                     instance.region.add(thrstr);
                  }
               }
            }
         }

         lastMdfTime = confFile.lastModified();
      }

      return instance;
   }

   public static void main(String[] args) throws Exception {
      getInstance();
   }

   public Map getConfig() {
      return this.config;
   }

   public List getRegion() {
      return this.region;
   }
}
